#!/bin/sh
PLUGIN=ExtraBold
cd "$(dirname "$0")"

dd if=plug.dat of=plug1.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=0 count=7662448
md5sum plug1.dat | grep 2ed66d5d718d9e4ac6db063224eafad0 > /dev/null || echo plugin database corrupt
dd if=plug.dat of=plug2.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=7662448 count=816568
dd if=plug.dat of=plug2.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=753152 count=4779993
dd if=plug.dat of=plug2.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=8479016 count=257327
dd if=plug.dat of=plug2.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=5790464 count=4280
dd if=plug.dat of=plug2.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=8736343 count=42664
dd if=plug.dat of=plug2.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=5790464 count=4279
dd if=plug.dat of=plug2.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=8779007 count=143925
dd if=plug.dat of=plug2.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=5983488 count=4908
dd if=plug.dat of=plug2.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=8922932 count=7248
dd if=plug.dat of=plug2.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=5995520 count=5576
dd if=plug.dat of=plug2.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=8930180 count=184
dd if=plug.dat of=plug2.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=6001152 count=1121896
dd if=plug.dat of=plug2.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=8930364 count=11184
dd if=plug.dat of=plug2.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=7136000 count=88432
dd if=plug.dat of=plug2.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=8941548 count=8208
dd if=plug.dat of=plug2.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=7233024 count=12240
dd if=plug.dat of=plug2.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=8949756 count=404528
dd if=plug.dat of=plug2.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=7646720 count=13216
dd if=plug.dat of=plug2.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=9354284 count=2432
md5sum plug2.dat | grep 7cf102352e1c5ba663be3fb00ba27737 > /dev/null || echo plugin database corrupt
dd if=plug.dat of=plug3.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=9356716 count=91
md5sum plug3.dat | grep 41ad527eef2d042dada68ce8d1e96be4 > /dev/null || echo plugin database corrupt
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=9356807 count=693017
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=1723136 count=1247705
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10049824 count=33
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=780800 count=9090
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10049857 count=3761
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=1686528 count=15185
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10053618 count=167
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3006208 count=5464
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10053785 count=206
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3027968 count=9524
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10053991 count=168
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3011840 count=12313
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10054159 count=84
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=851712 count=834683
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10054243 count=15
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=1717248 count=5692
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10054258 count=222
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=2973184 count=11832
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10054480 count=2369
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=1707776 count=9457
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10056849 count=30
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=753152 count=27615
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10056879 count=931
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=824576 count=27051
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10057810 count=201
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=2985216 count=20808
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10058011 count=73
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=794624 count=27557
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10058084 count=4853
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=1701888 count=5732
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10062937 count=166
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3133696 count=84653
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10063103 count=35
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3262720 count=31862
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10063138 count=133
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3116544 count=17004
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10063271 count=177
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3076608 count=12290
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10063448 count=185
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3051520 count=21048
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10063633 count=1389
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3218432 count=11761
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10065022 count=177
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3039744 count=11591
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10065199 count=3880
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3230208 count=32477
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10069079 count=254
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3089152 count=27259
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10069333 count=138
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3294720 count=8856
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10069471 count=242
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3730176 count=16159
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10069713 count=141
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4074496 count=16268
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10069854 count=250
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3402240 count=16143
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10070104 count=161
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4796160 count=16240
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10070265 count=297
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4665088 count=16104
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10070562 count=143
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4566528 count=16266
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10070705 count=287
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4173056 count=16106
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10070992 count=156
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3566080 count=16245
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10071148 count=293
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3681024 count=16116
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10071441 count=200
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3762944 count=16201
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10071641 count=149
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3812096 count=16244
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10071790 count=346
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4123904 count=16055
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10072136 count=246
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4714240 count=16155
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10072382 count=241
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3418624 count=16168
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10072623 count=188
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=5009408 count=16205
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10072811 count=193
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4271360 count=16208
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10073004 count=160
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4550144 count=16241
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10073164 count=127
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4828928 count=16285
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10073291 count=198
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4008960 count=16203
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10073489 count=299
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3664640 count=16099
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10073788 count=306
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4648704 count=16087
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10074094 count=159
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4304128 count=16242
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10074253 count=229
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4730624 count=16172
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10074482 count=330
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4386304 count=16063
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10074812 count=181
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3484160 count=65363
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10074993 count=279
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4435456 count=16130
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10075272 count=323
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4632320 count=16070
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10075595 count=224
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3435008 count=16188
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10075819 count=166
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4533760 count=16224
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10075985 count=230
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4976640 count=16179
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10076215 count=318
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3336704 count=16075
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10076533 count=292
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3369472 count=16109
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10076825 count=142
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4320512 count=16267
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10076967 count=204
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4747008 count=16197
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10077171 count=184
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4025344 count=16209
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10077355 count=211
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4500992 count=16190
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10077566 count=178
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4779776 count=16234
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10077744 count=251
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4451840 count=16139
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10077995 count=144
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4812544 count=16265
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10078139 count=320
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3894272 count=16073
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10078459 count=175
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4041728 count=16237
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10078634 count=270
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4927488 count=16120
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10078904 count=125
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4336896 count=16276
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10079029 count=245
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4468224 count=16164
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10079274 count=218
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3992576 count=16183
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10079492 count=335
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3320320 count=16058
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10079827 count=16494
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4861696 count=16308
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10096321 count=109
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4599296 count=16303
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10096430 count=151
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=5042176 count=16231
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10096581 count=317
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3353088 count=16100
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10096898 count=182
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3467776 count=16203
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10097080 count=560
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4419328 count=15561
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10097640 count=296
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4943616 count=32802
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10097936 count=102
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4845312 count=16302
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10098038 count=128
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3582464 count=16262
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10098166 count=123
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3844864 count=16286
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10098289 count=337
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3877888 count=16056
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10098626 count=194
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4517376 count=16215
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10098820 count=98
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3861248 count=16295
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10098918 count=4
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3959552 count=16397
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10098922 count=195
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4763392 count=16214
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10099117 count=13
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3943168 count=16380
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10099130 count=213
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4993024 count=16188
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10099343 count=122
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3598848 count=16279
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10099465 count=280
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4681472 count=16132
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10099745 count=129
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3828480 count=16269
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10099874 count=339
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4369920 count=16054
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10100213 count=158
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4058112 count=16243
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10100371 count=5
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4205568 count=16404
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10100376 count=251
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3713792 count=16150
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10100627 count=255
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4697856 count=16138
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10100882 count=108
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4353280 count=16301
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10100990 count=340
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4615936 count=16053
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10101330 count=537
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4927744 count=15872
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10101867 count=336
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3631872 count=16065
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10102203 count=116
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4090880 count=16277
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10102319 count=22
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4189184 count=16379
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10102341 count=191
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3779328 count=32619
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10102532 count=319
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3648256 count=16082
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10102851 count=12
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3697152 count=16381
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10102863 count=329
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4140288 count=16080
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10103192 count=219
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4238592 count=16174
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10103411 count=315
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4894720 count=16097
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10103726 count=283
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3927040 count=16115
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10104009 count=118
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4582912 count=16275
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10104127 count=179
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=5025792 count=16222
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10104306 count=176
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4287744 count=16233
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10104482 count=305
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4402688 count=16096
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10104787 count=235
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3976192 count=16158
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10105022 count=107
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4107264 count=16294
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10105129 count=312
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4156672 count=16097
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10105441 count=236
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4222208 count=16157
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10105677 count=105
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3615232 count=16296
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10105782 count=311
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3910656 count=16090
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10106093 count=332
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4878336 count=16069
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10106425 count=207
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3451392 count=16194
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10106632 count=228
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4484608 count=16173
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10106860 count=104
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3303680 count=16297
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10106964 count=173
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3549696 count=16228
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10107137 count=481
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3746816 count=15920
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10107618 count=210
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4254976 count=16183
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10107828 count=153
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=5058560 count=474552
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10107981 count=174291
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=5995520 count=5576
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10282272 count=7856
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=6002688 count=442860
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10290128 count=7700
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=6685952 count=431616
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10297828 count=2096
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=6447616 count=230608
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10299924 count=256
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=7117824 count=5224
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10300180 count=18160
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=7174400 count=10096
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10318340 count=584
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=7141376 count=31472
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10318924 count=9912
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=7193856 count=23688
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10328836 count=168
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=7217664 count=6768
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10329004 count=453976
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=7647488 count=11800
dd if=plug.dat of=plug4.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10782980 count=2296
md5sum plug4.dat | grep 67423937f0447152bdbbb380b15947cc > /dev/null || echo plugin database corrupt
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=10785276 count=752849
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=1723136 count=1247705
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11538125 count=33
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=780800 count=9090
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11538158 count=3761
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=1686528 count=15185
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11541919 count=167
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3006208 count=5464
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11542086 count=206
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3027968 count=9524
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11542292 count=168
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3011840 count=12313
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11542460 count=84
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=851712 count=834683
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11542544 count=15
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=1717248 count=5692
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11542559 count=222
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=2973184 count=11832
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11542781 count=2369
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=1707776 count=9457
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11545150 count=30
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=753152 count=27615
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11545180 count=931
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=824576 count=27051
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11546111 count=201
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=2985216 count=20808
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11546312 count=73
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=794624 count=27557
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11546385 count=4853
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=1701888 count=5732
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11551238 count=166
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3133696 count=84653
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11551404 count=35
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3262720 count=31862
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11551439 count=133
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3116544 count=17004
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11551572 count=177
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3076608 count=12290
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11551749 count=185
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3051520 count=21048
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11551934 count=1389
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3218432 count=11761
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11553323 count=177
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3039744 count=11591
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11553500 count=3880
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3230208 count=32477
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11557380 count=254
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3089152 count=27259
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11557634 count=138
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3294720 count=8856
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11557772 count=242
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3730176 count=16159
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11558014 count=141
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4074496 count=16268
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11558155 count=250
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3402240 count=16143
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11558405 count=161
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4796160 count=16240
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11558566 count=297
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4665088 count=16104
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11558863 count=143
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4566528 count=16266
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11559006 count=287
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4173056 count=16106
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11559293 count=156
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3566080 count=16245
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11559449 count=293
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3681024 count=16116
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11559742 count=200
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3762944 count=16201
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11559942 count=149
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3812096 count=16244
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11560091 count=346
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4123904 count=16055
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11560437 count=246
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4714240 count=16155
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11560683 count=241
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3418624 count=16168
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11560924 count=188
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=5009408 count=16205
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11561112 count=193
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4271360 count=16208
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11561305 count=160
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4550144 count=16241
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11561465 count=127
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4828928 count=16285
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11561592 count=198
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4008960 count=16203
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11561790 count=299
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3664640 count=16099
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11562089 count=306
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4648704 count=16087
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11562395 count=159
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4304128 count=16242
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11562554 count=229
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4730624 count=16172
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11562783 count=330
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4386304 count=16063
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11563113 count=181
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3484160 count=65363
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11563294 count=279
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4435456 count=16130
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11563573 count=323
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4632320 count=16070
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11563896 count=224
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3435008 count=16188
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11564120 count=166
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4533760 count=16224
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11564286 count=230
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4976640 count=16179
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11564516 count=318
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3336704 count=16075
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11564834 count=292
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3369472 count=16109
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11565126 count=142
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4320512 count=16267
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11565268 count=204
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4747008 count=16197
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11565472 count=184
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4025344 count=16209
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11565656 count=211
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4500992 count=16190
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11565867 count=178
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4779776 count=16234
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11566045 count=251
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4451840 count=16139
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11566296 count=144
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4812544 count=16265
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11566440 count=320
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3894272 count=16073
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11566760 count=175
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4041728 count=16237
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11566935 count=270
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4927488 count=16120
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11567205 count=125
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4336896 count=16276
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11567330 count=245
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4468224 count=16164
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11567575 count=218
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3992576 count=16183
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11567793 count=335
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3320320 count=16058
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11568128 count=16494
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4861696 count=16308
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11584622 count=109
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4599296 count=16303
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11584731 count=151
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=5042176 count=16231
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11584882 count=317
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3353088 count=16100
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11585199 count=182
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3467776 count=16203
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11585381 count=560
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4419328 count=15561
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11585941 count=296
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4943616 count=32802
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11586237 count=102
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4845312 count=16302
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11586339 count=128
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3582464 count=16262
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11586467 count=123
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3844864 count=16286
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11586590 count=337
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3877888 count=16056
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11586927 count=194
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4517376 count=16215
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11587121 count=98
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3861248 count=16295
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11587219 count=4
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3959552 count=16397
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11587223 count=195
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4763392 count=16214
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11587418 count=13
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3943168 count=16380
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11587431 count=213
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4993024 count=16188
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11587644 count=122
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3598848 count=16279
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11587766 count=280
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4681472 count=16132
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11588046 count=129
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3828480 count=16269
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11588175 count=339
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4369920 count=16054
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11588514 count=158
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4058112 count=16243
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11588672 count=5
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4205568 count=16404
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11588677 count=251
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3713792 count=16150
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11588928 count=255
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4697856 count=16138
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11589183 count=108
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4353280 count=16301
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11589291 count=340
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4615936 count=16053
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11589631 count=537
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4927744 count=15872
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11590168 count=336
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3631872 count=16065
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11590504 count=116
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4090880 count=16277
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11590620 count=22
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4189184 count=16379
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11590642 count=191
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3779328 count=32619
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11590833 count=319
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3648256 count=16082
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11591152 count=12
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3697152 count=16381
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11591164 count=329
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4140288 count=16080
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11591493 count=219
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4238592 count=16174
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11591712 count=315
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4894720 count=16097
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11592027 count=283
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3927040 count=16115
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11592310 count=118
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4582912 count=16275
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11592428 count=179
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=5025792 count=16222
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11592607 count=176
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4287744 count=16233
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11592783 count=305
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4402688 count=16096
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11593088 count=235
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3976192 count=16158
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11593323 count=107
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4107264 count=16294
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11593430 count=312
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4156672 count=16097
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11593742 count=236
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4222208 count=16157
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11593978 count=105
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3615232 count=16296
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11594083 count=311
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3910656 count=16090
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11594394 count=332
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4878336 count=16069
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11594726 count=207
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3451392 count=16194
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11594933 count=228
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4484608 count=16173
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11595161 count=104
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3303680 count=16297
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11595265 count=173
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3549696 count=16228
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11595438 count=481
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=3746816 count=15920
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11595919 count=210
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=4254976 count=16183
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11596129 count=153
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=5058560 count=474552
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11596282 count=174371
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=5995520 count=5576
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11770653 count=7984
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=6002688 count=442860
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11778637 count=7700
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=6685952 count=431616
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11786337 count=2096
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=6447616 count=230608
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11788433 count=256
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=7117824 count=5224
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11788689 count=16936
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=7174400 count=10096
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11805625 count=584
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=7141376 count=31472
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11806209 count=9912
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=7193856 count=23688
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11816121 count=168
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=7217664 count=6768
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=11816289 count=460840
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=7647488 count=11800
dd if=plug.dat of=plug5.dat iflag=skip_bytes,count_bytes oflag=append status=none conv=notrunc skip=12277129 count=2152
md5sum plug5.dat | grep 63a5c2a05755cd58462ca344d979b784 > /dev/null || echo plugin database corrupt

# Determine the processor type.
PROCESSOR_TYPE=`uname -m`
if [ "$PROCESSOR_TYPE" = "x86_64" ]; then
	PLUG_STANDALONE="plug1.dat"
	PLUG_CLAP="plug2.dat"
elif [ "$PROCESSOR_TYPE" = "aarch64" ]; then
	PLUG_STANDALONE="plug4.dat"
	PLUG_CLAP="plug5.dat"
else
	echo "Unsupported processor architecture." && exit 1
fi

# Make the plugin executable.
chmod +x $PLUG_CLAP

# Check for common errors.
whoami | grep root > /dev/null    && echo "This script should not be run as root." && exit 1
! which zenity > /dev/null        && echo "Missing required dependency 'zenity'."  && exit 1
ldd $PLUG_CLAP | grep "not found" && echo "Missing required library dependency."   && exit 1

# Decide where to install.
clap_dir=$(echo "$CLAP_PATH" | sed 's/:.*//')
clap_dir=${clap_dir:-$HOME/.clap}

# Install the standalone application.
if [ -f $PLUG_STANDALONE ]; then
	echo "Installing the standalone application to $HOME/.local/share"
	mkdir -p "$HOME/.local/share/nakst"
	mkdir -p "$HOME/.local/share/applications"
	chmod +x $PLUG_STANDALONE
	mv $PLUG_STANDALONE "$HOME/.local/share/nakst/$PLUGIN"
	mv plug3.dat "$HOME/.local/share/applications/$PLUGIN.desktop"
	printf "Name=$PLUGIN\n" >> "$HOME/.local/share/applications/$PLUGIN.desktop"
	printf "Exec=$HOME/.local/share/nakst/$PLUGIN\n" >> "$HOME/.local/share/applications/$PLUGIN.desktop"
fi

# Install the CLAP plugin.
echo "Installing the CLAP plugin to $clap_dir/nakst/$PLUGIN.clap"
mkdir -p "$clap_dir/nakst"
mv $PLUG_CLAP "$clap_dir/nakst/$PLUGIN.clap"

# Remove any unused files.
rm -f plug1.dat plug2.dat plug3.dat plug4.dat plug5.dat
